<?php
    include('../includes/validador.php');
    include('../includes/funciones.php');
	include('../conexiones/conex.php');
	
	$id = $_POST['id'];
	 
	$sql= sprintf("SELECT * FROM alumno WHERE alumno.Persona_id = '$id'");
	$categorias=mysqli_query($con,$sql);
	$row_categoria = mysqli_fetch_assoc($categorias);
	$totalRows_tblgaleria = mysqli_num_rows($categorias);
    
    $archivo = $row_categoria['portada_alumno'];
	
try {
    $con->autocommit(FALSE);
    $sqlElim = "DELETE FROM alumno WHERE Persona_id = '$id'";
    $con->query($sqlElim) or throw_ex(mysqli_error($con)); //si re registró bien
    
    if($archivo != NULL &&($archivo!=""))	{
        if(file_exists('../images/alumnos/'.$archivo)){
            unlink('../images/alumnos/'.$archivo);
        }
    }
    
    
    $con->commit();
    $con->close();
    echo 1;
} catch (Exception $e) {  
    $con->rollback();
    echo 2;
    $con->close(); 
}
?>